<?php
    function canSubmit(): bool {
        if (!isset($_POST)) {
            return false;
        }
        else {
            if(!isset($_POST["loginname"]) || strlen($_POST["loginname"])) {
                return false;
            }
            else if (!isset($_POST["pwd"])) {
                return false;
            }

            else {
                return true;
            }
        }
    }

    function checkLogin(): bool {
        $jologinname = "user";
        $jopwd = "alma";

        if (isset($_POST["loginname"]) && $_POST["loginname"] == $jologinname && $_POST["pwd"] == $jopwd) {
            $_SESSION["user"] = 1;
            return true;
        }
        else {
            return false;
        }
    }

    function isLoggedin() {
        if (isset($_SESSION["user"])) {
            return true;
        }
    }
?>